#  was receiving these errors ["C:\Program: Interrupt/Exception caught (code = 0xc00000fd, addr = 0x4227d3)] when g++ -I parameter, had a double quoted string

#  get a list of all cpp files in the PDFHummus/PDFWriter directory
files := $(wildcard *.cpp)
all : $(files:.cpp=.o)
	'$(ProgramFiles)/Git/usr/bin/rm.exe' -rf objs
	mkdir objs
	cp \*.o objs/

#  ft2build.h
ANSIFontWriter.o \
AbstractContentContext.o \
CFFANSIFontWriter.o \
CFFDescendentFontWriter.o \
CFFEmbeddedFontWriter.o \
CIDFontWriter.o \
DescendentFontWriter.o \
FontDescriptorWriter.o \
FreeTypeFaceWrapper.o \
FreeTypeOpenTypeWrapper.o \
FreeTypeWrapper.o \
PDFUsedFont.o \
TrueTypeANSIFontWriter.o \
TrueTypeDescendentFontWriter.o \
TrueTypeEmbeddedFontWriter.o \
Type1ToCFFEmbeddedFontWriter.o \
UsedFontsRepository.o :
	g++ -c $(@:.o=.cpp) -I 'C:/Users/bad-p/Downloads/freetype2/include'

#  aescpp.h
DecryptionHelper.o \
EncryptionHelper.o : 
	g++ -c $(@:.o=.cpp) -I '../LibAesgm'

#  zlib.h
InputFlateDecodeStream.o \
OutputFlateDecodeStream.o \
OutputFlateEncodeStream.o : 
	g++ -c $(@:.o=.cpp) -I '../Zlib'

#  jpeglib.h
PDFParser.o :
	g++ -c $(@:.o=.cpp) -I '../LibJpeg'

#  png.h
PNGImageHandler.o :
	g++ -c $(@:.o=.cpp) -I '../LibPng'

#  tiffconf.h
TIFFImageHandler.o : 
	g++ -c $(@:.o=.cpp) -I '../LibTiff'